import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    deviceId: "",
    serviceId: "",
    characteristicId: "",
    //游戏状态 0 不在游戏，1游戏中
    game_status: 0,
    toy_index: 0,
    toy_list: [],
    toy_hex: "",
    // 使用类型 1次数 2时间 0未选择
    mode: 0,
    //游戏记录id
    game_record_id: 0,
    //  游戏时间
    play_time: 0
  },
  mutations: {
    setDeviceId(state, deviceId) {
      state.deviceId = deviceId
    },
    setServiceId(state, serviceId) {
      state.serviceId = serviceId
    },
    setCid(state, characteristicId) {
      state.characteristicId = characteristicId
    },
    setGameStatus(state, status) {
      state.game_status = status
    },
    setToyList(state, toy_list) {
      state.toy_list = toy_list
    },
    setToyHex(state, toy_hex) {
      state.toy_hex = toy_hex
    },
    setMode(state, mode) {
      state.mode = mode
    },
    setGameRecordId(state, param) {
      state.game_record_id = param
    },
    setPlayTime(state, param) {
      state.play_time = param
    }
  },
  getters: {
    getDeviceId(state, getters) {
      return state.deviceId
    },
    getServiceId(state, getters) {
      return state.serviceId
    },
    getCharacterId(state, getters) {
      return state.characteristicId
    },
    getGameStatus(state) {
      return state.game_status
    },
    getToyList(state) {
      return state.toy_list
    },
    getToyHex(state) {
      return state.toy_hex
    },
    getMode(state) {
      return state.mode
    },
    getGameRecordId(state) {
      return state.game_record_id
    },
    getPlayTime(state) {
      return state.play_time
    }
  },

})
